[DRE-commits] [ruby-rails-assets-autosize] 03/07: add smoke-test

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Fri Sep 23 17:10:44 UTC 2016


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository ruby-rails-assets-autosize.

commit 21e864e318586e54cb91747b628d9b1aec846189
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Fri Sep 23 22:20:37 2016 +0530

    add smoke-test
---
 debian/tests/control    |  3 +++
 debian/tests/smoke-test | 29 +++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..3e31a36
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: smoke-test
+Depends: @, rails, ruby-coffee-script, ruby-sqlite3, ruby-spring
+Restrictions: needs-recommends
diff --git a/debian/tests/smoke-test b/debian/tests/smoke-test
new file mode 100755
index 0000000..5b47fb8
--- /dev/null
+++ b/debian/tests/smoke-test
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+exec 2>&1
+set -ex
+
+
+smoke() {
+cd $ADTTMP
+rails new foo-$1
+cd foo-$1
+
+cat >> app/assets/stylesheets/application.scss <<EOF
+ at import "$1"
+EOF
+
+
+cat >> app/assets/javascripts/application.js <<EOF
+# =require $1
+EOF
+
+cat >> Gemfile <<EOF
+gem "rails-assets-$1", "~> 3.0"
+EOF
+
+bundle install --local
+bundle exec rake assets:precompile
+}
+
+smoke autosize

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/ruby-rails-assets-autosize.git



More information about the Pkg-ruby-extras-commits mailing list